Aspyr to No Longer Support Mac OS X 10.6 with Future Patches, Updates and Releases

written by Russ Looney on September 5, 2013 in Mac Gaming News

Mac OS X Snow Leopard

Upon launch of the newest Apple operating system, OS X 10.9 (Mavericks), Aspyr will begin the process of phasing out support for OS X 10.6 (Snow Leopard).

What This Means

This means all future releases of Aspyr games, as well as any patches and updates for existing Aspyr games, will no longer be supported on Mac OS X 10.6 (Snow Leopard); in some instances, older titles that receive updates or patches may cease to work on OS X 10.6. To continue to play the latest Mac games, we recommend upgrading your computer or operating system to the latest version of OS X.  Here are some of your options:

Option 1: Upgrade your operating system and/or Mac

Depending on the age of your computer, you may be able to upgrade to a newer version of Mac OS X. You can use GameAgent.com’s Mac Match feature to determine if your Mac meets the requirements for OS X 10.8 (Mountain Lion) or the upcoming OS X 10.9 (Mavericks).

If you can’t upgrade to either Mac OS X 10.8 (Mountain Lion) or 10.9 (Mavericks), you may also want to consider upgrading your hardware to continue to play the latest and greatest Mac games.

Option 2: Continue to use Mac OS X 10.6

If you can’t switch to a newer computer or upgrade your operating system, you can continue to use Mac OS X 10.6. However, you will no longer be able to take advantage of any upcoming updates or patches and will be limited in new gaming content you can purchase.  

In order to continue to play your games on OS X 10.6, Mac App Store purchasers should not elect to update your apps. Steam users, on the other hand, will need to adjust the auto-update settings in the game’s properties. (Right-click on the game in your Steam library and select Properties; from there, navigate to the Updates tab and select the “Do not automatically update this game” option.)

Additionally, we suggest you backup your games to ensure you have an archived playable copy on Mac OS X 10.6.

If you accidentally update an affected game, and it becomes unplayable on OS X 10.6, please contact Aspyr Support for assistance. They’ll be happy to assist you however they can.

Why did Aspyr stop supporting Mac OS X 10.6 (Snow Leopard)?

Each new version of an operating system that Apple releases contains significant changes that Mac developers must adapt to. Reacting to the quickly changing OS environment on the Mac requires non-trivial resources, meaning Mac developers must make decisions about how to invest these resources.

Currently 8% of our existing audience is on Mac OS X 10.6, down from 16% in January.  With the release of Mavericks we anticipate this reducing further, and therefore we believe our efforts should be focused on supporting the growing audience.

How do I find out what games are affected?

We suggest you follow us on Facebook, Twitter or Google Plus, or subscribe to our thread on support.aspyr.com.

The first set of games that will no longer support OS X 10.6 are below. These games are being updated because of known bugs introduced in Mac OS X 10.9 (Mavericks). In order to continue playing these games on OS X 10.6, we recommend that you not update them.

  • Star Wars: Jedi Knight: Jedi Academy
  • Star Wars: Jedi Knight II: Jedi Outcast
  • Call of Duty

I’m still really confused…

If you have any questions at all about which games will or will not work on OS X 10.6, please contact Aspyr Support at http://support.aspyr.com or via email at support@aspyr.com